<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: StdDriver/inc/gpio.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">gpio.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/d7c/gpio_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __GPIO_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __GPIO_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad5df1f52a4cc540fc739f23056584a04">   32</a></span><span class="preprocessor">#define GPIO_PIN_MAX    8   </span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment">/*  PMD Constant Definitions                                                                               */</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1d91458a02db1f2b71122aee8b4da690">   37</a></span><span class="preprocessor">#define GPIO_PMD_INPUT              0x0UL                  </span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga903d206776eed930eb08a97bfde30f21">   38</a></span><span class="preprocessor">#define GPIO_PMD_OUTPUT             0x1UL                  </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga17b71982106eb55ac53e679545791475">   39</a></span><span class="preprocessor">#define GPIO_PMD_OPEN_DRAIN         0x2UL                  </span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae7688be7b3cd5490426e438a2ec9f821">   40</a></span><span class="preprocessor">#define GPIO_PMD_QUASI              0x3UL                  </span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="comment">/*  GPIO Interrupt Type Constant Definitions                                                               */</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad5791d8505fbdc44f396d3fc28b6e4da">   45</a></span><span class="preprocessor">#define GPIO_INT_RISING             0x00010000UL </span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8d98bc44ec5133557802867a115d7072">   46</a></span><span class="preprocessor">#define GPIO_INT_FALLING            0x00000001UL </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae5ffe006072684a30050871e0f4fb5e6">   47</a></span><span class="preprocessor">#define GPIO_INT_BOTH_EDGE          0x00010001UL </span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad80cfa2205ca60d3427bed52f9f43975">   48</a></span><span class="preprocessor">#define GPIO_INT_HIGH               0x01010000UL </span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3c01afe7764ed035acb9aab07add5f5a">   49</a></span><span class="preprocessor">#define GPIO_INT_LOW                0x01000001UL </span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="comment">/*  IMD Constant Definitions                                                                               */</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga99978dda3737152046e4418647d2e9e1">   54</a></span><span class="preprocessor">#define GPIO_IMD_EDGE               0UL               </span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3c70f883f26690cbf440d438a5d39085">   55</a></span><span class="preprocessor">#define GPIO_IMD_LEVEL              1UL               </span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="comment">/*  DBNCECON Constant Definitions                                                                          */</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaacb8fb55f93de84805f3beacc368468e">   60</a></span><span class="preprocessor">#define GPIO_DBNCECON_ICLK_ON           0x00000020UL </span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa06b6a64442f2f359d578b6bf3887a85">   61</a></span><span class="preprocessor">#define GPIO_DBNCECON_ICLK_OFF          0x00000000UL </span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0b6ce6106fb3a90a8861d9ef37f89eb9">   63</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSRC_IRC10K   0x00000010UL </span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad62093f5bb1ef9c40c136ebda750717e">   64</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSRC_HCLK     0x00000000UL </span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa0e5dfecf2ac12c43ed101d9fac4dfcc">   66</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSEL_1        0x00000000UL </span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga84f8c7e190b7b55f587cbeacc9382cd6">   67</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSEL_2        0x00000001UL </span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga46cd9e45efbf831928e4fb90111210b7">   68</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSEL_4        0x00000002UL </span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafe42d0470c8cbaad11b949b6190e8774">   69</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSEL_8        0x00000003UL </span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa42da71e3b8f7d0e281b27aec324a40b">   70</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSEL_16       0x00000004UL </span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga689b0f69b8b58183f88943c7fc5959ef">   71</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSEL_32       0x00000005UL </span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga608908deba1d8b329c522c5d92e91bc8">   72</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSEL_64       0x00000006UL </span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9c0055336a00a95b3be28e88fc9898ed">   73</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSEL_128      0x00000007UL </span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaedc57835b4d44448b26d871625ec34a4">   74</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSEL_256      0x00000008UL </span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga92f10c6c4481686f7d309269f473c17f">   75</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSEL_512      0x00000009UL </span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga20dec856b3f1dff8e35e450b3b55bf08">   76</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSEL_1024     0x0000000AUL </span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga715e8746a777b6d41d1c8ce02b494732">   77</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSEL_2048     0x0000000BUL </span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab704b14c215ba0e67fabfb806edf398d">   78</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSEL_4096     0x0000000CUL </span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga583e0b61a72e30e2bceba1e25a6e78c9">   79</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSEL_8192     0x0000000DUL </span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafdcad880139ce9561182d3ac61a45ab9">   80</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSEL_16384    0x0000000EUL </span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae1145b09285d0c704c9438d13ed679fd">   81</a></span><span class="preprocessor">#define GPIO_DBNCECON_DBCLKSEL_32768    0x0000000FUL </span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">   97</a></span><span class="preprocessor">#define GPIO_PIN_ADDR(port, pin)    (*((volatile uint32_t *)((GPIOBIT0_BASE+(0x20*(port))) + ((pin)&lt;&lt;2))))</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacea7ad10699d00bfb1215301dd1d6c39">   98</a></span><span class="preprocessor">#define P00             GPIO_PIN_ADDR(0, 0) </span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4bf72b9e10032d0e1ac2a371bcec73d5">   99</a></span><span class="preprocessor">#define P01             GPIO_PIN_ADDR(0, 1) </span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1e90f508a7fea35178f4e797316bea02">  100</a></span><span class="preprocessor">#define P02             GPIO_PIN_ADDR(0, 2) </span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7118159485221b1a134943d638c11e04">  101</a></span><span class="preprocessor">#define P03             GPIO_PIN_ADDR(0, 3) </span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga374bc133bba69e9bdcc783aa8b46b9c4">  102</a></span><span class="preprocessor">#define P04             GPIO_PIN_ADDR(0, 4) </span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9fe14e5527a2bb2b4602b19654f4f857">  103</a></span><span class="preprocessor">#define P05             GPIO_PIN_ADDR(0, 5) </span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaead0758c1c3e5c7f3b0abaca0e331dbf">  104</a></span><span class="preprocessor">#define P06             GPIO_PIN_ADDR(0, 6) </span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gada3e30a248e432ac11f0eb356e531398">  105</a></span><span class="preprocessor">#define P07             GPIO_PIN_ADDR(0, 7) </span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5bb9f89248afa8d7e5a821fd459b085f">  106</a></span><span class="preprocessor">#define P10             GPIO_PIN_ADDR(1, 0) </span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaca6db006bc37d2b337fca225a79856c8">  107</a></span><span class="preprocessor">#define P11             GPIO_PIN_ADDR(1, 1) </span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga20c70bba8105b63590b5a49d99f563b5">  108</a></span><span class="preprocessor">#define P12             GPIO_PIN_ADDR(1, 2) </span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa729f895b03c9230ebcf8c798f7bd1bb">  109</a></span><span class="preprocessor">#define P13             GPIO_PIN_ADDR(1, 3) </span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf108487a116bc015d7abd21ee2ab374e">  110</a></span><span class="preprocessor">#define P14             GPIO_PIN_ADDR(1, 4) </span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3059522b4d1048ecf60259f3805147d6">  111</a></span><span class="preprocessor">#define P15             GPIO_PIN_ADDR(1, 5) </span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0f8aefca2c1a1d922ca9ecac68caa584">  112</a></span><span class="preprocessor">#define P16             GPIO_PIN_ADDR(1, 6) </span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac8f5bddb889a3da7918ae32ca6c5cc97">  113</a></span><span class="preprocessor">#define P17             GPIO_PIN_ADDR(1, 7) </span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga33f788605a598e63ac41746fa80a2748">  114</a></span><span class="preprocessor">#define P20             GPIO_PIN_ADDR(2, 0) </span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga570de0df41df22c97e76c020be10ebe5">  115</a></span><span class="preprocessor">#define P21             GPIO_PIN_ADDR(2, 1) </span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad2e9e6463865ce4ee5c0fdb487ae564">  116</a></span><span class="preprocessor">#define P22             GPIO_PIN_ADDR(2, 2) </span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6e36f7e25d4f6b570b06cb42fec12fe0">  117</a></span><span class="preprocessor">#define P23             GPIO_PIN_ADDR(2, 3) </span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga70720c88605306d69ec70f7d61a02a7d">  118</a></span><span class="preprocessor">#define P24             GPIO_PIN_ADDR(2, 4) </span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaedd756174bb43beab90d52b7f8ababe1">  119</a></span><span class="preprocessor">#define P25             GPIO_PIN_ADDR(2, 5) </span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5c3c87404b4b209d252cb7bb4b58f877">  120</a></span><span class="preprocessor">#define P26             GPIO_PIN_ADDR(2, 6) </span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa4640d5e80f253acaf0ac9d904dd31ff">  121</a></span><span class="preprocessor">#define P27             GPIO_PIN_ADDR(2, 7) </span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5f7968be31f2e9f4571b092c4dfcb28c">  122</a></span><span class="preprocessor">#define P30             GPIO_PIN_ADDR(3, 0) </span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa746ded9c9e8c92375ae540ed67126b5">  123</a></span><span class="preprocessor">#define P31             GPIO_PIN_ADDR(3, 1) </span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8ae5e079e0dffa935e988d0658ac4a0a">  124</a></span><span class="preprocessor">#define P32             GPIO_PIN_ADDR(3, 2) </span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9c60e5bf01694cf39fc125fda883f8e6">  125</a></span><span class="preprocessor">#define P33             GPIO_PIN_ADDR(3, 3) </span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga53363ced95468be345f9859354e300d1">  126</a></span><span class="preprocessor">#define P34             GPIO_PIN_ADDR(3, 4) </span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabf8f8b5ee3e318ca6ec685c3acec99de">  127</a></span><span class="preprocessor">#define P35             GPIO_PIN_ADDR(3, 5) </span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9301c62dc91595cc7a617ff4c7356a8a">  128</a></span><span class="preprocessor">#define P36             GPIO_PIN_ADDR(3, 6) </span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga869ef003b6d1c1b93c6064a892ddcd95">  129</a></span><span class="preprocessor">#define P37             GPIO_PIN_ADDR(3, 7) </span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad65ae61a66e6090cadbe8ee6801fbbb2">  130</a></span><span class="preprocessor">#define P40             GPIO_PIN_ADDR(4, 0) </span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab22c0d36425be910f6610828be770063">  131</a></span><span class="preprocessor">#define P41             GPIO_PIN_ADDR(4, 1) </span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1aa4502db63f8e6717664096c0ad12f6">  132</a></span><span class="preprocessor">#define P42             GPIO_PIN_ADDR(4, 2) </span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4effcf14ea12d436b400c55b908eafa9">  133</a></span><span class="preprocessor">#define P43             GPIO_PIN_ADDR(4, 3) </span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga932e1ed8c4f6bebcc34b8fe36203a421">  134</a></span><span class="preprocessor">#define P44             GPIO_PIN_ADDR(4, 4) </span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8213b3a6369016c0e919dcab7db62d0b">  135</a></span><span class="preprocessor">#define P45             GPIO_PIN_ADDR(4, 5) </span></div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafbd99d8dbf974a7059d38b14c455b1fb">  136</a></span><span class="preprocessor">#define P46             GPIO_PIN_ADDR(4, 6) </span></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4bd7d622b36418d495c129217da7ae31">  137</a></span><span class="preprocessor">#define P47             GPIO_PIN_ADDR(4, 7) </span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga432eafebc21de1b8054056020a41002d">  138</a></span><span class="preprocessor">#define P50             GPIO_PIN_ADDR(5, 0) </span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9de9a073aaf2a7a4259db5a67eee6cd4">  139</a></span><span class="preprocessor">#define P51             GPIO_PIN_ADDR(5, 1) </span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa700759b6415a2531bd59d2abcfa1613">  140</a></span><span class="preprocessor">#define P52             GPIO_PIN_ADDR(5, 2) </span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga325c0607d1c2a7b337569478c130f41c">  141</a></span><span class="preprocessor">#define P53             GPIO_PIN_ADDR(5, 3) </span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga81622f9cc35ed4397b2d4714d88ae083">  142</a></span><span class="preprocessor">#define P54             GPIO_PIN_ADDR(5, 4) </span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno"><a class="line" href="../../dc/d20/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafa075de507ed2e6f80ca238cba2b509f">  143</a></span><span class="preprocessor">#define P55             GPIO_PIN_ADDR(5, 5)  </span><span class="comment">/* end of group MINI51_GPIO_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno"><a class="line" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga23fa7d30838af4e7a8de44bb35be6dd3">  161</a></span><span class="preprocessor">#define GPIO_CLR_INT_FLAG(gpio, u32PinMask)   ((gpio)-&gt;ISRC = u32PinMask)</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span> </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno"><a class="line" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7256010ba4e37ff39116f81362380320">  173</a></span><span class="preprocessor">#define GPIO_DISABLE_DEBOUNCE(gpio, u32PinMask)   ((gpio)-&gt;DBEN &amp;= ~u32PinMask)</span></div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span> </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno"><a class="line" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa54243397fb256e334b539f88b909368">  185</a></span><span class="preprocessor">#define GPIO_ENABLE_DEBOUNCE(gpio, u32PinMask)    ((gpio)-&gt;DBEN |= u32PinMask)</span></div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span> </div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno"><a class="line" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0c55a617441ab37ad3cfcc48b76750c7">  197</a></span><span class="preprocessor">#define GPIO_DISABLE_DIGITAL_PATH(gpio, u32PinMask)   ((gpio)-&gt;OFFD |= (u32PinMask &lt;&lt; 16))</span></div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span> </div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno"><a class="line" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6646dfe12cd282e794d9014ae2e4e288">  209</a></span><span class="preprocessor">#define GPIO_ENABLE_DIGITAL_PATH(gpio, u32PinMask)    ((gpio)-&gt;OFFD &amp;= ~(u32PinMask &lt;&lt; 16))</span></div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span> </div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno"><a class="line" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8669eac8b3df39a965716a1f5cf6484b">  221</a></span><span class="preprocessor">#define GPIO_DISABLE_DOUT_MASK(gpio, u32PinMask)   ((gpio)-&gt;DMASK |= u32PinMask)</span></div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span> </div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno"><a class="line" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55907a319de4957e7f795d0acb32b7fc">  233</a></span><span class="preprocessor">#define GPIO_ENABLE_DOUT_MASK(gpio, u32PinMask)   ((gpio)-&gt;DMASK &amp;= ~u32PinMask)</span></div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span> </div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno"><a class="line" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga109372c88c155995a0f917b75d33e6d3">  246</a></span><span class="preprocessor">#define GPIO_GET_INT_FLAG(gpio, u32PinMask)   ((gpio)-&gt;ISRC &amp; u32PinMask)</span></div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span> </div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno"><a class="line" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7651a6a2609788b70d1e0e4d77174ca">  268</a></span><span class="preprocessor">#define GPIO_SET_DEBOUNCE_TIME(clksrc, clksel)  (GPIO-&gt;DBNCECON = (GPIO_DBNCECON_ICLK_ON_Msk | clksrc | clksel))</span></div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span> </div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno"><a class="line" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga999217028415ac36f6ce605533c85cad">  279</a></span><span class="preprocessor">#define GPIO_GET_IN_DATA(gpio)   ((gpio)-&gt;PIN)</span></div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span> </div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno"><a class="line" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac8b85595010fccb2e8be1624f409d89c">  291</a></span><span class="preprocessor">#define GPIO_SET_OUT_DATA(gpio, data)   ((gpio)-&gt;DOUT = (data))</span></div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span> </div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno"><a class="line" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21894d4e8915c4972879d998965e3f35">  302</a></span><span class="preprocessor">#define GPIO_TOGGLE(u32Pin)   ((u32Pin) ^= 1)</span></div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span> </div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno"><a class="line" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga851e08641f159b726e3d2fa7e4b526d1">  316</a></span><span class="preprocessor">#define GPIO_EnableEINT0    GPIO_EnableInt</span></div>
<div class="line"><a id="l00317" name="l00317"></a><span class="lineno">  317</span> </div>
<div class="line"><a id="l00318" name="l00318"></a><span class="lineno">  318</span> </div>
<div class="line"><a id="l00329" name="l00329"></a><span class="lineno"><a class="line" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa08979f1765ac4fb8d9645195908c7b1">  329</a></span><span class="preprocessor">#define GPIO_DisableEINT0   GPIO_DisableInt</span></div>
<div class="line"><a id="l00330" name="l00330"></a><span class="lineno">  330</span> </div>
<div class="line"><a id="l00331" name="l00331"></a><span class="lineno">  331</span> </div>
<div class="line"><a id="l00344" name="l00344"></a><span class="lineno"><a class="line" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2ae3cf2bb3e70c18761f85c0fa5b4ce7">  344</a></span><span class="preprocessor">#define GPIO_EnableEINT1    GPIO_EnableInt</span></div>
<div class="line"><a id="l00345" name="l00345"></a><span class="lineno">  345</span> </div>
<div class="line"><a id="l00346" name="l00346"></a><span class="lineno">  346</span> </div>
<div class="line"><a id="l00357" name="l00357"></a><span class="lineno"><a class="line" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga77faa5872ca2babb523c15d199e1e484">  357</a></span><span class="preprocessor">#define GPIO_DisableEINT1   GPIO_DisableInt</span></div>
<div class="line"><a id="l00358" name="l00358"></a><span class="lineno">  358</span> </div>
<div class="line"><a id="l00359" name="l00359"></a><span class="lineno">  359</span> </div>
<div class="line"><a id="l00360" name="l00360"></a><span class="lineno">  360</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123">GPIO_SetMode</a>(<a class="code hl_struct" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32PinMask, uint32_t u32Mode);</div>
<div class="line"><a id="l00361" name="l00361"></a><span class="lineno">  361</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a>(<a class="code hl_struct" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32Pin, uint32_t u32IntAttribs);</div>
<div class="line"><a id="l00362" name="l00362"></a><span class="lineno">  362</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a>(<a class="code hl_struct" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32Pin);</div>
<div class="line"><a id="l00363" name="l00363"></a><span class="lineno">  363</span> </div>
<div class="line"><a id="l00364" name="l00364"></a><span class="lineno">  364</span> </div>
<div class="line"><a id="l00365" name="l00365"></a><span class="lineno">  365</span> <span class="comment">/* end of group MINI51_GPIO_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00367" name="l00367"></a><span class="lineno">  367</span> <span class="comment">/* end of group MINI51_GPIO_Driver */</span></div>
<div class="line"><a id="l00369" name="l00369"></a><span class="lineno">  369</span> <span class="comment">/* end of group MINI51_Device_Driver */</span></div>
<div class="line"><a id="l00371" name="l00371"></a><span class="lineno">  371</span> </div>
<div class="line"><a id="l00372" name="l00372"></a><span class="lineno">  372</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00373" name="l00373"></a><span class="lineno">  373</span>}</div>
<div class="line"><a id="l00374" name="l00374"></a><span class="lineno">  374</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00375" name="l00375"></a><span class="lineno">  375</span> </div>
<div class="line"><a id="l00376" name="l00376"></a><span class="lineno">  376</span><span class="preprocessor">#endif </span><span class="comment">//__GPIO_H__</span></div>
<div class="line"><a id="l00377" name="l00377"></a><span class="lineno">  377</span> </div>
<div class="line"><a id="l00378" name="l00378"></a><span class="lineno">  378</span><span class="comment">/*** (C) COPYRIGHT 2013 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="agroup___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga675532237c47dd6f69f325e27fd2e7e0"><div class="ttname"><a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a></div><div class="ttdeci">void GPIO_DisableInt(GPIO_T *gpio, uint32_t u32Pin)</div><div class="ttdoc">Disable GPIO interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/da0/gpio_8c_source.html#l00082">gpio.c:82</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa2d25bd7fd805f81e465e5f2f0f43123"><div class="ttname"><a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123">GPIO_SetMode</a></div><div class="ttdeci">void GPIO_SetMode(GPIO_T *gpio, uint32_t u32PinMask, uint32_t u32Mode)</div><div class="ttdoc">Set GPIO operation mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/da0/gpio_8c_source.html#l00040">gpio.c:40</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaec751ab5c00bcad980d782816df53cbd"><div class="ttname"><a href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a></div><div class="ttdeci">void GPIO_EnableInt(GPIO_T *gpio, uint32_t u32Pin, uint32_t u32IntAttribs)</div><div class="ttdoc">Enable GPIO interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/da0/gpio_8c_source.html#l00065">gpio.c:65</a></div></div>
<div class="ttc" id="astruct_g_p_i_o___t_html"><div class="ttname"><a href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l01795">Mini51Series.h:1796</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:39 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
